var THREE = require('three');
require('../include/CSS3DRenderer');
var Edge = require('./structure/node').Edge;
var Node = require('./structure/node').Node;
var OrbitControls = require('three-orbit-controls')(THREE);
THREE.MeshLine = require('../include/THREE.MeshLine').MeshLine;
THREE.MeshLineMaterial = require('../include/THREE.MeshLine').MeshLineMaterial;
var d3 = require('d3');
var ee = require('event-emitter');

exports.default = {
  THREE: THREE,
  Edge: Edge,
  Node: Node,
  OrbitControls: OrbitControls,
  d3: d3,
  ee: ee,
  NODE_COLOR: 0x0055aa,
  NODE_HIGHLIGHT: 0xf39c12,
  ADJACENT_HIGHLIGHT: 0xf1c40f,
  NODE_HTEXTURE: "http://i.imgur.com/xzkxSIw.png",
  NODE_TEXTURE: "http://i.imgur.com/reTXqiM.png",
  NODE_NO_HTEX: true,
  NODE_NO_TEX: true,
  NODE_NO_HCOLOR: false,
  NODE_NO_COLOR: false,
  NODE_NO_HIGHLIGHT: false,
  NODE_NEIGHBOR_HIGHLIGHT: true,
  NODE_SHAPE: "square",
  NODE_HSHAPE: "square",
  NODE_SIZE: 5,
  HIGHLIGHT_SIZE: 1.0,
  LAYOUT: "d3",
  LINES: "notfancy",
  MAP: true,
  TEXT_SCALE: true,
  TEXT_SIZE: 0.07,
  TEXT_X_OFFSET: 0.52,
  TEXT_Y_OFFSET: 0.35,
  TEXT_BACK_COLOR: "rgba(100, 100, 200, 0)",
  TEXT_OPACITY: "1",
  TEXT_WIREFRAME: false
}